@import '../../styles/mixins';

.result-modal {
	position: fixed;
	top: 50%;
	left: 50%;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: center;
	margin: 0 auto;
	padding: 35px 35px 25px;
	width: 90%;
	max-width: 685px;
	height: 90%;
	max-height: 260px;
	border-radius: var(--border-radius);
	background-color: var(--color-accent);
	color: var(--color-white);
	transform: translate(-50%, -50%);
	animation: fade-in 800ms forwards ease-in-out;

	@include for-tablet {
		padding: 65px 55px 30px;
		width: 70%;
		max-height: 370px;
	}

	&--removed {
		animation: fade-out 800ms forwards ease-in-out;
	}
}

.result-modal__header {
	overflow: auto;
	margin-bottom: 50px;
	text-align: center;
	line-height: 50px;
}

.result-modal__button {
	padding: 0 20px;
	max-width: 100%;
	height: 50px;
	border-radius: 12px;
	background-color: var(--color-primary);
	text-align: center;
	cursor: pointer;
	flex-shrink: 0;

	&:hover {
		background-color: var(--color-primary-dark);
	}

	@include for-tablet {
		min-width: 340px;
		height: 64px;
	}
}
